import  { Given, When, Then } from "cypress-cucumber-preprocessor/steps";

 // This function is For Get Calls 

Given("I make a GET request to {string}", (url) => {
    cy.request("GET", url).as("apiResponse");
  });
  
  Then("the response status code should be {int}", (statusCode) => {
    cy.get("@apiResponse").should("have.property", "status", statusCode);
  });
  
  Then("the response should contain body" , ()=> {
    cy.get("@apiResponse").should("have.property", "body");
  });

Given("I make a GET request to {string}", (url) => {
  cy.request("GET", url).as("apiResponse");
});

Then("the response status code should be {int}", (statusCode) => {
  cy.get("@apiResponse").should("have.property", "status", statusCode);
});

Then("the response body should contain the following data:", (dataTable) => {
    const expectedData = dataTable.rowsHash();
    cy.get("@apiResponse").should("deep.include", expectedData);
  });

  
