Feature: Performing CRUD Operations on an API

  Scenario: Create, Read, Update, and Delete a Resource
    Given I have the endpoint "/posts"
    And I set the request headers as:
      | Content-Type | application/json |
    And I set the request body as:
      """
      {
        "userId": 1,
        "id": 1,
        "title": "Abdul Sattar",
        "body": "Updating the Resource by Abdul Sattar..."
      }
      """
    When I make a POST request
    Then I should see a response with status code 201
    And I save the response body as "newPostResponse"

    Given I have the endpoint "/posts/1"
    When I make a GET request
    Then I should see a response with status code 200

    When I make a PUT request
    Then I should see a response with status code 200

    When I make a DELETE request
    Then I should see a response with status code 200

