Feature: call the POST API and see the response
    using dummy api calls to verify the assertions



    Scenario Outline: Verify a successful API GET request against specific post id
        Given I have the endpoint "/posts"
        And I set the request headers as:
            | Content-Type | application/json |
        And I set the request body as:
            """
            {
                "title": "Sample Post",
                "body": "This is a sample post.",
                "userId": 1
            }
            """
        When I make a POST request
        Then I should see a response with status code 201

        Examples:
            | postId | statusCode |
            | 1      | 200        |
            | 2      | 200        |